{%- from "linux/map.jinja" import system with context %}

create_ssd_scheduler_udev_rule:
  file.managed:
    - name: /etc/udev/rules.d/60-ssd-scheduler.rules
    - source: salt://linux/files/60-ssd-scheduler.rules
    - user: root
    - group: root
    - mode: 0644
    - makedirs: true
    - template: jinja

trigger_ssd_scheduler_udev_rule:
  cmd.run:
    - name: /bin/udevadm trigger -a queue/scheduler
    - onchanges:
      - file: /etc/udev/rules.d/60-ssd-scheduler.rules
